Module jdk.jshell
Package jdk.jshell.spi

# Class ExecutionControl.InternalException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jdk.jshell.spi.ExecutionControl.ExecutionControlException
jdk.jshell.spi.ExecutionControl.InternalException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ExecutionControl.NotImplementedException`

Enclosing interface:
  ExecutionControl

    public static class ExecutionControl.InternalException
    extends ExecutionControl.ExecutionControlException

An internal problem has occurred.

See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InternalException​(String message)` |

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InternalException

public InternalException​(String message)